Subject: Re: [PATCH 2/3] sparse-checkout: add 'clean' command

From: Junio C Hamano <[email-masked]>
Date: Wed, 09 Jul 2025 09:46:58 -0700

Derrick Stolee <[email-masked]> writes:

> A curious user may want to know "why are these directories still
> around?" and the more verbose output would assist.

Understood.  That one is what I was primarily after, as opposed to
"These directories will be gone, as there is nothing interesting or
worth saving", which I find much less interesting (and perhaps
should only be shown with --verbose, as opposed to "this will be
kept even though it is out of cone, as it contains these things that
may worth saving", which I think is something the user would care
more).

>> I wonder if we need "-x" and/or "-X" options "clean" has (and
>> perhaps "-d" that is a no-op, as the whole point of this subcommand
>> is about removing directories from the working tree) to control its
>> operation a bit finer-grained way.
> I'm of two minds here.

Same here, and that is why I said "I wonder" ;-)